
#EntryTag {
	margin-top: 20px;
	font-size: 9pt;
	color: gray;
}
.topicListFooter {
	text-align: right;
	margin-right: 10px;
	margin-top: 10px;
}
#divRefreshComments{
	text-align: right; 
	margin-right: 10px;
	margin-bottom: 5px;
	font-size: 9pt;
}

* {
	margin: 0;
	padding: 0;
}
html {
	height: 100%;
}
body {
	color: #000;
	background: #FFF;
	font-family: "Arial","寰蒋闆呴粦", "Helvetica", "sans-serif";
	font-size: 14px;
	min-height: 101%;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
fieldset, img {
	border: 0;
}
ul {
	word-break: break-all;
}
li {
	list-style: none;
}
h1, h2, h3, h4, h5, h6 {
	font-size: 100%;
	font-weight: normal;
}
a:link {
	color: black;
	text-decoration: none;
}
a:visited {
	color: black;
	text-decoration: none;
}
a:hover {
	color: #0085a1;
	text-decoration: none;
}
a:active {
	color: black;
	text-decoration: none;
}
.clear {
	clear: both;
}
/*****绗簩閮ㄥ垎缁撴潫*******************************/

/**************************************************
绗笁閮ㄥ垎锛氬悇涓〉闈㈠厓绱犵殑鏍峰紡銆備綘鍙互鏍规嵁闇�瑕侀殢鎰忕殑鏇存敼锛屽苟涓嶄細鐗垫壇鍒板叾浠�
鐨勭毊鑲ゆā鏉裤�傝繖涓儴鍒嗘槸鏈�鑳藉睍鐜颁綘鎯宠薄鍔涚殑閮ㄥ垎銆傚叾涓ご閮ㄥ拰渚ц竟鏍忛儴鍒嗘槸姝ょ毊
鑲ゅ叕鍏辩殑閮ㄥ垎銆傝�屾瘡涓〉闈㈢壒鏈夌殑閮ㄥ垎浼氭湁鐩稿簲鐨勬敞閲婂拰璇存槑銆�
**************************************************/
/*****home鍜屽ご閮ㄥ紑濮�**************************/
#home {
	margin: 0 auto;
	width:100%;
	min-width: 320px;
}
#header {
	width: 100%;
	border-top: 0;
	padding-bottom: 5px;
}
#blogTitle {
	height: 480px;
	clear: both;
	background-color: #071727;
	background-image: url(https://files.cnblogs.com/files/luocaodan/sky.ico);
	background-repeat: no-repeat;
	color: #fff;
	text-align: center;
	display: flex;
	justify-content: center;
	flex-direction: column;
}
#blogTitle h1 {
	font-size: 80px;
}

#blogTitle h1 a {
	color: #fff;
}
#blogTitle h1 a:hover {
	color: #18DC6D;
	text-decoration: none;
}
#blogTitle a:visited {
	color: #fff;
	text-decoration: none;
}

#blogTitle h2 {
	font-size: 18px;
}
#blogLogo {
	float: right;
}
#navigator {
	width: 100%;
	height: 60px;
	clear: both;
	position: fixed;
	top: 0;
	background-color: #071727;
	opacity: 0.8;
	box-shadow: 0 1px 2rem #888888;
}
#navList {
	min-height: 60px;
}
#navList {
	display: flex;
	justify-content: center;
	flex-direction: column;
}
#navList {
	display: inline;
}
#navList li:nth-child(2), li:nth-child(4), li:nth-child(5), li:nth-child(n+7) {
	display: none;
}
#navList li:nth-child(1) a {
	font-size: 18px;
	color: #fff;
	text-align: center;
	float: left;
	margin-top: 19px;
}
#navList li:nth-child(1) a:hover {
	color: #18DC6D;
	transform: scale(1.3);
	transition: 0.5s;
	font-weight: bold;
	text-decoration: none;
}
#navList li:nth-child(3) a {
	font-size: 18px;
	color: #fff;
	text-align: center;
	float: left;
	margin-top: 19px;
}
#navList li:nth-child(3) a:hover {
	color: #18DC6D;
	transform: scale(1.3);
	transition: 0.5s;
	font-weight: bold;
	text-decoration: none;
}
#navList li:nth-child(6) a {
	font-size: 18px;
	color: #fff;
	text-align: center;
	font-weight: bold;
	float: right;
	margin-top: 19px;
}
#navList li:nth-child(6) a:hover {
	color: #18DC6D;
	transform: scale(1.3);
	transition: 0.5s;
	font-weight: bold;
	text-decoration: none;
}

#navList a {
	display: block;
	width: 5em;
	text-align: center;
}
#navList a:link, #navList a:visited, #navList a:active {
	color: #11EB55;
}

.blogStats {
	display: none;
}
/*****home鍜屽ご閮ㄧ粨鏉�**************************/

/*****涓婚〉鏂囩珷鍒楄〃寮�濮�**************************/
#main{
	width: 50%;
	min-width: 320px;
	margin: 0 auto;
	padding: 0 !important;
}
#mainContent {
	min-height: 200px;
	padding: 10px 15px 10px 15px;
	*padding-top:10px;
	-o-text-overflow: ellipsis;
	text-overflow: ellipsis;
	overflow: hidden;
	word-break: break-all;
	width: 100%;
}
.day {
	min-height: 10px;
}
.dayTitle {
	display: none;
	width: 100%;
	font-weight: bold;
	line-height: 33px;
	font-size: 26px;
	margin-top: 3px;
	margin-bottom: 10px;
	clear:both;
}
.postTitle {
	font-size: 2.5em;
	font-weight: bold;
	width: 100%;
	margin-top: 40px;
	margin-bottom: 40px;
	clear:both;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
	color: #404040;
}
.postTitle a:hover {
	color: #0085a1;
	text-decoration: none;
}
.postCon {
	font-size: 14px;
	line-height: 23px;
	font-style: italic;
	clear:both;
	color: #a3a3a3;
}
.postCon a {
	text-decoration: none;
}
.postCon a:hover {
	text-decoration: none; 
}
.postDesc {
	float: left;
	width: 100%;
	clear:both;
	font-size: 16px;
	font-style: italic;
	font-family: 'Times New Roman', Times, serif, Arial, Helvetica, sans-serif;
	line-height: 30px;
	text-align: left;
	color: rgb(204, 204, 204);
	margin: 0 auto;
}
.postDesc a:link, .postDesc a:visited, .postDesc a:active {
	color: rgb(204, 204, 204);
}
.postDesc a:hover {
	color: #0085a1;
	text-decoration: none;
}
.postSeparator {
	border-top: 1px solid rgb(204, 204, 204);
	width: 100%;
	clear: both;
	float: left;
	margin-top: 40px;
	margin-bottom: 20px;
}
.topicListFooter {
	margin: 40px 0;
}

.topicListFooter a {
	border-style: solid;
	border-width: 1px;
	border-color: rgb(221, 221, 221);
	font-size: 14px;
	font-weight: 800;
	padding: 15px 25px;
}

.topicListFooter a:hover {
	background-color: #0085a1;
	color: #fff;
}
/*****涓婚〉鏂囩珷鍒楄〃寮�濮�**************************/

/*****渚ц竟鏍忓紑濮�********************************/
#sideBar {
	display: none;
	width: 230px;
	min-height: 200px;
	padding: 0px 0 0px 5px;
	float: left;
	-o-text-overflow: ellipsis;
	text-overflow: ellipsis;
	overflow: hidden;
	word-break: break-all;
}
.newsItem .catListTitle {
	display: none;
}
.newsItem {
	padding: 15px 0 5px 0px;
	margin-bottom: 8px;
}
/**鏃ュ巻鎺т欢鏍峰紡寮�濮�**/
#calendar {
	width: 229px;
}
#calendar .Cal {
	width: 100%;
	line-height: 1.5em;
}
.Cal {/**鏃ュ巻瀹瑰櫒table**/
	border: none;
	color: #666;
}
#calendar table a:link, #calendar table a:visited, #calendar table a:active {
	font-weight: bold;
}
#calendar table a:hover {
	color: white;
	text-decoration: none;
	background-color: #F60;
}
.CalTodayDay{/**浠婂ぉ鏃ユ湡鏍峰紡**/
	color:#f60;
}
#calendar .CalNextPrev a:link,#calendar  .CalNextPrev a:visited, #calendar .CalNextPrev a:active {/**涓婁釜鏈堛�佷笅涓湀绠ご鏍峰紡**/
	font-weight: bold;
	background-color: white;
}
.CalDayHeader{
	border-bottom:1px solid #ccc;	
}
.CalTitle{/**鏃ュ巻骞存湀澶撮儴鏍峰紡**/
	width:100%;
	background:white;
	color:black;
	border-bottom:1px solid #666;	
}
/**鏃ュ巻鎺т欢鏍峰紡缁撴潫**/
.catListTitle {
	font-weight: bold;
	line-height: 1.5em;
	font-size: 110%;
	margin-top: 15px;
	margin-bottom: 10px;
	border-bottom: 1px solid black;
	text-align: center;
}
.catListComment {
	line-height: 1.5em;
}
.divRecentComment {
	text-indent: 2em;
	color: #666;
}
#sideBarMain ul {
	line-height: 1.5em;
}
/*****渚ц竟鏍忕粨鏉�********************************/

/****鏌ョ湅鏂囩珷椤甸潰寮�濮�*************************/
#topics {
	width: 100%;
	min-height: 200px;
	padding: 0px 0px 10px 0;
	float: left;
	-o-text-overflow: ellipsis;
	text-overflow: ellipsis;
	overflow: hidden;
	word-break: break-all;
}
#topics .postTitle {
	font-size: 2.5em;
    font-weight: bold;
    padding-bottom: 10px;
	border-bottom: 2px solid rgb(191, 191, 191);
    width: 100%;
    text-align: center;
}
#topics #cnblogs_post_body a {
	color: #0085a1;
	text-decoration: none;
}
#topics #cnblogs_post_body a:hover {
	text-decoration: underline;
}
#EntryTag {
	font-size: 18px;
	font-weight: bold;
	color: #666;
}
#EntryTag a {
	font-size: 13px;
	font-weight: normal;
	color: rgb(191, 191, 191);
	margin-left: 5px;
	border: 1px solid rgb(191, 191, 191);
	border-radius: 10px;
	padding: 3px 9px;
}
#EntryTag a:link, #EntryTag a:visited, #EntryTag a:active {
	color: rgb(191, 191, 191);
	text-decoration: none;
}
#cnblogs_post_body #EntryTag a:hover {
	color: #0085a1;
	border-color: #0085a1;
	text-decoration: none;
}
#topics .postDesc {
	float: right;
	width: 100%;
	text-align: right;
	padding-right: 5px;
	color: #666;
	margin-top: 5px;
	margin-bottom: 30px;
}
.feedback_area_title {
	font-size: 18px;
	font-weight: bold;
	border-bottom: 1px solid rgb(191, 191, 191);
	padding: 10px 8px;
	color: #666;
}
.feedbackItem {
	margin: 20px 0;
}
.layer {
	border: 1px solid pink;
	background-color: pink;
	margin-right: 10px;
	border-radius: 10px;
	padding: 3px 10px;
}
.louzhu {
	color: purple;
}
.sendMsg2This {
	display: none;
}
.comment_digg {
	border: 1px solid rgb(191, 191, 191);
	padding: 3px 9px;
	margin: 0 5px;
}
.comment_digg:hover {
	transform: scale(1.2);
	border-radius: 15px;
	transition: 1s;
	background-color: #9F1AEC;
	color: #fff;
}
.comment_bury {
	border: 1px solid rgb(191, 191, 191);
	padding: 3px 9px;
	margin: 0 5px;
}
.comment_bury:hover {
	border-radius: 15px;
	transform: scale(1.2);
	transition: 1s;
	background-color: rgb(0, 161, 80);
	color: #fff;
}
.feedbackListSubtitle {
	color: #666;
}
.feedbackManage {
	float: right;
}
.comment_actions a {
	border: 1px solid rgb(191, 191, 191);
	border-radius: 10px;
	padding: 3px 9px !important;
	margin: 0 5px;
}
#blog_post_info {
     display: none;
}
.comment_actions a:hover {
	color: #fff;
	background-color: #0085a1;
} 
.comment_actions a:hover:nth-child(2) {
	background-color: #D41616;
}
.feedbackCon {
	font-size: 15px;
	color: rgb(55, 62, 68);
	border-bottom: 1px solid rgb(191, 191, 191);
	background: url('images/comment.gif') no-repeat 5px 0px;
	padding: 15px 0 10px 0;
	min-height: 35px;
	margin-bottom: 1em;
	line-height: 1.5em;
	width:100%;
}
.blog_comment_body {
	margin: 0 50px;
}
#comment_nav {
	margin-right: 10px;
	font-style: italic;
	color: rgb(191, 191, 191);
}
#under_post_news, #under_post_kb {
	display: none;
}
#comment_form_container {
	margin-top: 50px;
}
#comment_form_container #commentform_title {
	background: none;
	color: rgb(102, 102, 102);
	font-size: 18px;
	font-weight: bold;
	padding: 0 0 8px 0;
}
#comment_form_container p:nth-child(3), .commentbox_title_left, .commentbox_title {
	display: none !important;
}

#tbCommentBody {
	font-size: 14px;
	width: 100%;
	height: 100px;
	margin: 10px 0;
	border-radius: 3px;
	border-style: solid;
	-moz-box-shadow: inset 0 0 6px rgba(0,0,0,0.2); 
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2); 
	box-shadow: inner 0 0 6px rgba(0, 0, 0, 0.2);
}
#tbCommentBody:focus {
	outline: none !important;
	box-shadow: 0 0 10px #719ece;
}
#commentbox_opt {
    float: right !important;
    margin-top: 0;
}
#commentbox_opt a {
	display: none;
}
#commentbox_opt p {
	font-style: italic;
	color: rgb(191, 191, 191);
}
#comment_form_container p:nth-child(7) {
	display: none;
}
#btn_comment_submit {
	border: 1px solid rgba(27,31,35,0.2);
	background-color: #28a745;
    background-image: linear-gradient(-180deg, #34d058 0%, #28a745 90%);
	background-position: -1px -1px;
	border-radius: 25px;
	color: #fff;
	font-size: 14px;
	white-space: nowrap;
	cursor: pointer;
	width: 120px;
	height: 40px;
}
#btn_comment_submit:hover {
	border: 3px solid #28a745;
	background-color: #fff;
	background-image: none;
	transition: 0.3s;
	color: #28a745;
}


.entrylistTitle,.PostListTitle,.thumbTitle{
	font-size: 110%;
	font-weight: bold;
	border-bottom: 1px solid black;
	text-align: right;
	padding-bottom: 3px;
	padding-right: 10px;
}

.entrylistDescription {
	color: #666;
	text-align: right;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-right: 10px;
	margin-bottom: 10px;
}
.entrylistItem {
	min-height: 20px;
	_height: 20px;
	margin-bottom: 30px;
	padding-bottom: 5px;
	width: 100%;
}
.entrylistPosttitle {
	font-size: 110%;
	font-weight: bold;
	border-bottom: 1px solid #666;
	line-height: 1.5em;
	width: 100%;
	padding-left: 5px;
}
.entrylistPosttitle a:hover {
	text-decoration: none;
}
.entrylistPostSummary {
	margin-top: 5px;
	padding-left: 5px;
	margin-bottom: 5px;
}
.entrylistItemPostDesc {
	text-align: right;
	color: #666;
}
.entrylistItemPostDesc a:link, .entrylistItemPostDesc a:visited, .entrylistItemPostDesc a:active {
	color: #666;
}
.entrylistItemPostDesc a:hover {
	color: #f60;
}
.entrylist .postSeparator {
	clear: both;
	width: 100%;
	font-size: 0;
	line-height: 0;
	margin: 0;
	padding: 0;
	height: 0;
	border: none;
}

.pager {
	text-align: right;
	margin-right: 10px;
}
.PostList {
	border-bottom: 1px solid #ccc;
	clear: both;
	min-height: 1.5em;
	_height: 1.5em;
	padding-top: 10px;
	padding-left: 5px;
	padding-right: 5px;
	margin-bottom: 5px;
}
.postTitl2 {
	float: left;
}
.postDesc2 {
	color: #666;
	float: right;
	margin-right: ;
}
.postText2 {
	clear: both;
	color: #666;
}
.pfl_feedback_area_title {
	text-align: right;
	line-height: 1.5em;
	font-weight: bold;
	border-bottom: 1px solid #666;
	margin-bottom: 10px;
}
.pfl_feedbackItem {
	border-bottom: 1px solid black;
	margin-bottom: 20px;
}
.pfl_feedbacksubtitle {
	width: 100%;
	border-bottom: 1px dotted #666;
	height: 1.5em;
}
.pfl_feedbackname {
	float: left;
}
.pfl_feedbackManage {
	float: right;
}
.pfl_feedbackCon {
	color: black;
	padding-top: 5px;
	padding-bottom: 5px;
}
.pfl_feedbackAnswer {
	color: #F40;
	text-indent: 2em;
}
.tdSentMessage {
	text-align: right;
}
.errorMessage {
	width: 300px;
	float: left;
}
.mySearch #q {
	height: 1.4em;
	width: 175px;
}

.divPhoto {
	border: 1px solid #ccc;
	padding: 2px;
	margin-right: 10px;
}

.thumbDescription {
	color: #666;
	text-align: right;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-right: 10px;
	margin-bottom: 10px;
}

#footer {
	text-align: center;
	font-size: 14px;
	color: rgb(119, 119, 119);
	margin: 50px auto 30px auto;
	font-weight: bold;
	font-style: italic;
}

.personInfo {
	margin-bottom: 20px;
}

.pages {
	text-align: right;
}



@media only screen and (max-width: 768px){
	#blogTitle h1 {
		font-size: 50px;
	}
	#blogTitle {
		height: 240px;
	}
	#navigator {
		height: 56px;
	}
	#postTitle {
		font-size: 21px;
		line-height: 27px;
	}
	.postCon {
		font-size: 13px;
	}
	
}

/* GitHub Markdown */

@font-face {
  font-family: octicons-link;
  src: url(data:font/woff;charset=utf-8;base64,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) format('woff');
}

#cnblogs_post_body {
    box-sizing: border-box;
    min-width: 200px;
    max-width: 980px;
    margin: 0 auto;
}

@media (max-width: 767px) {
    #cnblogs_post_body {
        padding: 15px;
    }
}

#cnblogs_post_body .hljs {
	padding: 0 !important;
}

#cnblogs_post_body .octicon {
  display: inline-block;
  fill: currentColor;
  vertical-align: text-bottom;
}

#cnblogs_post_body .anchor {
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
}

#cnblogs_post_body .anchor:focus {
  outline: none;
}

#cnblogs_post_body h1 .octicon-link,
#cnblogs_post_body h2 .octicon-link,
#cnblogs_post_body h3 .octicon-link,
#cnblogs_post_body h4 .octicon-link,
#cnblogs_post_body h5 .octicon-link,
#cnblogs_post_body h6 .octicon-link {
  color: #1b1f23;
  vertical-align: middle;
  visibility: hidden;
}

#cnblogs_post_body h1:hover .anchor,
#cnblogs_post_body h2:hover .anchor,
#cnblogs_post_body h3:hover .anchor,
#cnblogs_post_body h4:hover .anchor,
#cnblogs_post_body h5:hover .anchor,
#cnblogs_post_body h6:hover .anchor {
  text-decoration: none;
}

#cnblogs_post_body h1:hover .anchor .octicon-link,
#cnblogs_post_body h2:hover .anchor .octicon-link,
#cnblogs_post_body h3:hover .anchor .octicon-link,
#cnblogs_post_body h4:hover .anchor .octicon-link,
#cnblogs_post_body h5:hover .anchor .octicon-link,
#cnblogs_post_body h6:hover .anchor .octicon-link {
  visibility: visible;
}

#cnblogs_post_body {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  color: #24292e;
  line-height: 1.5;
  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol;
  font-size: 16px;
  line-height: 1.5;
  word-wrap: break-word;
}

#cnblogs_post_body .pl-c {
  color: #6a737d;
}

#cnblogs_post_body .pl-c1,
#cnblogs_post_body .pl-s .pl-v {
  color: #005cc5;
}

#cnblogs_post_body .pl-e,
#cnblogs_post_body .pl-en {
  color: #6f42c1;
}

#cnblogs_post_body .pl-s .pl-s1,
#cnblogs_post_body .pl-smi {
  color: #24292e;
}

#cnblogs_post_body .pl-ent {
  color: #22863a;
}

#cnblogs_post_body .pl-k {
  color: #d73a49;
}

#cnblogs_post_body .pl-pds,
#cnblogs_post_body .pl-s,
#cnblogs_post_body .pl-s .pl-pse .pl-s1,
#cnblogs_post_body .pl-sr,
#cnblogs_post_body .pl-sr .pl-cce,
#cnblogs_post_body .pl-sr .pl-sra,
#cnblogs_post_body .pl-sr .pl-sre {
  color: #032f62;
}

#cnblogs_post_body .pl-smw,
#cnblogs_post_body .pl-v {
  color: #e36209;
}

#cnblogs_post_body .pl-bu {
  color: #b31d28;
}

#cnblogs_post_body .pl-ii {
  background-color: #b31d28;
  color: #fafbfc;
}

#cnblogs_post_body .pl-c2 {
  background-color: #d73a49;
  color: #fafbfc;
}

#cnblogs_post_body .pl-c2:before {
  content: "^M";
}

#cnblogs_post_body .pl-sr .pl-cce {
  color: #22863a;
  font-weight: 700;
}

#cnblogs_post_body .pl-ml {
  color: #735c0f;
}

#cnblogs_post_body .pl-mh,
#cnblogs_post_body .pl-mh .pl-en,
#cnblogs_post_body .pl-ms {
  color: #005cc5;
  font-weight: 700;
}

#cnblogs_post_body .pl-mi {
  color: #24292e;
  font-style: italic;
}

#cnblogs_post_body .pl-mb {
  color: #24292e;
  font-weight: 700;
}

#cnblogs_post_body .pl-md {
  background-color: #ffeef0;
  color: #b31d28;
}

#cnblogs_post_body .pl-mi1 {
  background-color: #f0fff4;
  color: #22863a;
}

#cnblogs_post_body .pl-mc {
  background-color: #ffebda;
  color: #e36209;
}

#cnblogs_post_body .pl-mi2 {
  background-color: #005cc5;
  color: #f6f8fa;
}

#cnblogs_post_body .pl-mdr {
  color: #6f42c1;
  font-weight: 700;
}

#cnblogs_post_body .pl-ba {
  color: #586069;
}

#cnblogs_post_body .pl-sg {
  color: #959da5;
}

#cnblogs_post_body .pl-corl {
  color: #032f62;
  text-decoration: underline;
}

#cnblogs_post_body details {
  display: block;
}

#cnblogs_post_body summary {
  display: list-item;
}

#cnblogs_post_body a {
  background-color: transparent;
}

#cnblogs_post_body a:active,
#cnblogs_post_body a:hover {
  outline-width: 0;
}

#cnblogs_post_body strong {
  font-weight: inherit;
  font-weight: bolder;
}

#cnblogs_post_body h1 {
  font-size: 2em;
  margin: .67em 0;
}

#cnblogs_post_body img {
  border-style: none;
}

#cnblogs_post_body code,
#cnblogs_post_body kbd,
#cnblogs_post_body pre {
  font-family: monospace,monospace;
  font-size: 1em;
}

#cnblogs_post_body hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

#cnblogs_post_body input {
  font: inherit;
  margin: 0;
}

#cnblogs_post_body input {
  overflow: visible;
}

#cnblogs_post_body [type=checkbox] {
  box-sizing: border-box;
  padding: 0;
}

#cnblogs_post_body * {
  box-sizing: border-box;
}

#cnblogs_post_body input {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

#cnblogs_post_body a {
  color: #0366d6;
  text-decoration: none;
}

#cnblogs_post_body a:hover {
  text-decoration: underline;
}

#cnblogs_post_body strong {
  font-weight: 600;
}

#cnblogs_post_body hr {
  background: transparent;
  border: 0;
  border-bottom: 1px solid #dfe2e5;
  height: 0;
  margin: 15px 0;
  overflow: hidden;
}

#cnblogs_post_body hr:before {
  content: "";
  display: table;
}

#cnblogs_post_body hr:after {
  clear: both;
  content: "";
  display: table;
}

#cnblogs_post_body table {
  border-collapse: collapse;
  border-spacing: 0;
}

#cnblogs_post_body td,
#cnblogs_post_body th {
  padding: 0;
}

#cnblogs_post_body details summary {
  cursor: pointer;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2,
#cnblogs_post_body h3,
#cnblogs_post_body h4,
#cnblogs_post_body h5,
#cnblogs_post_body h6 {
  margin-bottom: 0;
  margin-top: 0;
}

#cnblogs_post_body h1 {
  font-size: 32px;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2 {
  font-weight: 600;
}

#cnblogs_post_body h2 {
  font-size: 24px;
}

#cnblogs_post_body h3 {
  font-size: 20px;
}

#cnblogs_post_body h3,
#cnblogs_post_body h4 {
  font-weight: 600;
}

#cnblogs_post_body h4 {
  font-size: 16px;
}

#cnblogs_post_body h5 {
  font-size: 14px;
}

#cnblogs_post_body h5,
#cnblogs_post_body h6 {
  font-weight: 600;
}

#cnblogs_post_body h6 {
  font-size: 12px;
}

#cnblogs_post_body p {
  margin-bottom: 10px;
  margin-top: 0;
}

#cnblogs_post_body blockquote {
  margin: 0;
}

#cnblogs_post_body ol,
#cnblogs_post_body ul {
  margin-bottom: 0;
  margin-top: 0;
  padding-left: 0;
}

#cnblogs_post_body ol ol,
#cnblogs_post_body ul ol {
  list-style-type: lower-roman;
}

#cnblogs_post_body ol ol ol,
#cnblogs_post_body ol ul ol,
#cnblogs_post_body ul ol ol,
#cnblogs_post_body ul ul ol {
  list-style-type: lower-alpha;
}

#cnblogs_post_body dd {
  margin-left: 0;
}

#cnblogs_post_body code,
#cnblogs_post_body pre {
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  font-size: 12px;
}

#cnblogs_post_body pre {
  margin-bottom: 0;
  margin-top: 0;
}

#cnblogs_post_body input::-webkit-inner-spin-button,
#cnblogs_post_body input::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
  margin: 0;
}

#cnblogs_post_body .border {
  border: 1px solid #e1e4e8!important;
}

#cnblogs_post_body .border-0 {
  border: 0!important;
}

#cnblogs_post_body .border-bottom {
  border-bottom: 1px solid #e1e4e8!important;
}

#cnblogs_post_body .rounded-1 {
  border-radius: 3px!important;
}

#cnblogs_post_body .bg-white {
  background-color: #fff!important;
}

#cnblogs_post_body .bg-gray-light {
  background-color: #fafbfc!important;
}

#cnblogs_post_body .text-gray-light {
  color: #6a737d!important;
}

#cnblogs_post_body .mb-0 {
  margin-bottom: 0!important;
}

#cnblogs_post_body .my-2 {
  margin-bottom: 8px!important;
  margin-top: 8px!important;
}

#cnblogs_post_body .pl-0 {
  padding-left: 0!important;
}

#cnblogs_post_body .py-0 {
  padding-bottom: 0!important;
  padding-top: 0!important;
}

#cnblogs_post_body .pl-1 {
  padding-left: 4px!important;
}

#cnblogs_post_body .pl-2 {
  padding-left: 8px!important;
}

#cnblogs_post_body .py-2 {
  padding-bottom: 8px!important;
  padding-top: 8px!important;
}

#cnblogs_post_body .pl-3,
#cnblogs_post_body .px-3 {
  padding-left: 16px!important;
}

#cnblogs_post_body .px-3 {
  padding-right: 16px!important;
}

#cnblogs_post_body .pl-4 {
  padding-left: 24px!important;
}

#cnblogs_post_body .pl-5 {
  padding-left: 32px!important;
}

#cnblogs_post_body .pl-6 {
  padding-left: 40px!important;
}

#cnblogs_post_body .f6 {
  font-size: 12px!important;
}

#cnblogs_post_body .lh-condensed {
  line-height: 1.25!important;
}

#cnblogs_post_body .text-bold {
  font-weight: 600!important;
}

#cnblogs_post_body:before {
  content: "";
  display: table;
}

#cnblogs_post_body:after {
  clear: both;
  content: "";
  display: table;
}

#cnblogs_post_body>:first-child {
  margin-top: 0!important;
}

#cnblogs_post_body>:last-child {
  margin-bottom: 0!important;
}

#cnblogs_post_body a:not([href]) {
  color: inherit;
  text-decoration: none;
}

#cnblogs_post_body blockquote,
#cnblogs_post_body dl,
#cnblogs_post_body ol,
#cnblogs_post_body p,
#cnblogs_post_body pre,
#cnblogs_post_body table,
#cnblogs_post_body ul {
  margin-bottom: 16px;
  margin-top: 0;
}

#cnblogs_post_body hr {
  background-color: #e1e4e8;
  border: 0;
  height: .25em;
  margin: 24px 0;
  padding: 0;
}

#cnblogs_post_body blockquote {
  border-left: .25em solid #dfe2e5;
  color: #6a737d;
  padding: 0 1em;
}

#cnblogs_post_body blockquote>:first-child {
  margin-top: 0;
}

#cnblogs_post_body blockquote>:last-child {
  margin-bottom: 0;
}

#cnblogs_post_body kbd {
  background-color: #fafbfc;
  border: 1px solid #c6cbd1;
  border-bottom-color: #959da5;
  border-radius: 3px;
  box-shadow: inset 0 -1px 0 #959da5;
  color: #444d56;
  display: inline-block;
  font-size: 11px;
  line-height: 10px;
  padding: 3px 5px;
  vertical-align: middle;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2,
#cnblogs_post_body h3,
#cnblogs_post_body h4,
#cnblogs_post_body h5,
#cnblogs_post_body h6 {
  font-weight: 600;
  line-height: 1.25;
  margin-bottom: 16px;
  margin-top: 24px;
}

#cnblogs_post_body h1 {
  font-size: 2em;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2 {
  border-bottom: 1px solid #eaecef;
  padding-bottom: .3em;
}

#cnblogs_post_body h2 {
  font-size: 1.5em;
}

#cnblogs_post_body h3 {
  font-size: 1.25em;
}

#cnblogs_post_body h4 {
  font-size: 1em;
}

#cnblogs_post_body h5 {
  font-size: .875em;
}

#cnblogs_post_body h6 {
  color: #6a737d;
  font-size: .85em;
}

#cnblogs_post_body ol,
#cnblogs_post_body ul {
  padding-left: 2em;
}

#cnblogs_post_body ol ol,
#cnblogs_post_body ol ul,
#cnblogs_post_body ul ol,
#cnblogs_post_body ul ul {
  margin-bottom: 0;
  margin-top: 0;
}

#cnblogs_post_body li {
  word-wrap: break-all;
}

#cnblogs_post_body li>p {
  margin-top: 16px;
}

#cnblogs_post_body li+li {
  margin-top: .25em;
}

#cnblogs_post_body dl {
  padding: 0;
}

#cnblogs_post_body dl dt {
  font-size: 1em;
  font-style: italic;
  font-weight: 600;
  margin-top: 16px;
  padding: 0;
}

#cnblogs_post_body dl dd {
  margin-bottom: 16px;
  padding: 0 16px;
}

#cnblogs_post_body table {
  display: block;
  overflow: auto;
  width: 100%;
}

#cnblogs_post_body table th {
  font-weight: 600;
}

#cnblogs_post_body table td,
#cnblogs_post_body table th {
  border: 1px solid #dfe2e5;
  padding: 6px 13px;
}

#cnblogs_post_body table tr {
  background-color: #fff;
  border-top: 1px solid #c6cbd1;
}

#cnblogs_post_body table tr:nth-child(2n) {
  background-color: #f6f8fa;
}

#cnblogs_post_body img {
  background-color: #fff;
  box-sizing: content-box;
  max-width: 100%;
}

#cnblogs_post_body img[align=right] {
  padding-left: 20px;
}

#cnblogs_post_body img[align=left] {
  padding-right: 20px;
}

#cnblogs_post_body code {
  background-color: rgba(27,31,35,.05);
  border-radius: 3px;
  font-size: 85%;
  margin: 0;
  padding: .2em .4em;
}

#cnblogs_post_body pre {
  word-wrap: normal;
}

#cnblogs_post_body pre>code {
  background: transparent;
  border: 0 !important;
  font-size: 100%;
  margin: 0;
  padding: 0;
  white-space: pre;
  word-break: normal;
}

#cnblogs_post_body .highlight {
  margin-bottom: 16px;
}

#cnblogs_post_body .highlight pre {
  margin-bottom: 0;
  word-break: normal;
}

#cnblogs_post_body .highlight pre,
#cnblogs_post_body pre {
  background-color: #f6f8fa;
  border-radius: 3px;
  font-size: 85%;
  line-height: 1.45;
  overflow: auto;
  padding: 16px;
}

#cnblogs_post_body pre code {
  background-color: transparent;
  border: 0;
  display: inline;
  line-height: inherit;
  margin: 0;
  max-width: auto;
  overflow: visible;
  padding: 0;
  word-wrap: normal;
}

#cnblogs_post_body .commit-tease-sha {
  color: #444d56;
  display: inline-block;
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  font-size: 90%;
}

#cnblogs_post_body .blob-wrapper {
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  overflow-x: auto;
  overflow-y: hidden;
}

#cnblogs_post_body .blob-wrapper-embedded {
  max-height: 240px;
  overflow-y: auto;
}

#cnblogs_post_body .blob-num {
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  color: rgba(27,31,35,.3);
  cursor: pointer;
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  font-size: 12px;
  line-height: 20px;
  min-width: 50px;
  padding-left: 10px;
  padding-right: 10px;
  text-align: right;
  user-select: none;
  vertical-align: top;
  white-space: nowrap;
  width: 1%;
}

#cnblogs_post_body .blob-num:hover {
  color: rgba(27,31,35,.6);
}

#cnblogs_post_body .blob-num:before {
  content: attr(data-line-number);
}

#cnblogs_post_body .blob-code {
  line-height: 20px;
  padding-left: 10px;
  padding-right: 10px;
  position: relative;
  vertical-align: top;
}

#cnblogs_post_body .blob-code-inner {
  color: #24292e;
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  font-size: 12px;
  overflow: visible;
  white-space: pre;
  word-wrap: normal;
}

#cnblogs_post_body .pl-token.active,
#cnblogs_post_body .pl-token:hover {
  background: #ffea7f;
  cursor: pointer;
}

#cnblogs_post_body kbd {
  background-color: #fafbfc;
  border: 1px solid #d1d5da;
  border-bottom-color: #c6cbd1;
  border-radius: 3px;
  box-shadow: inset 0 -1px 0 #c6cbd1;
  color: #444d56;
  display: inline-block;
  font: 11px SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  line-height: 10px;
  padding: 3px 5px;
  vertical-align: middle;
}

#cnblogs_post_body :checked+.radio-label {
  border-color: #0366d6;
  position: relative;
  z-index: 1;
}

#cnblogs_post_body .tab-size[data-tab-size="1"] {
  -moz-tab-size: 1;
  tab-size: 1;
}

#cnblogs_post_body .tab-size[data-tab-size="2"] {
  -moz-tab-size: 2;
  tab-size: 2;
}

#cnblogs_post_body .tab-size[data-tab-size="3"] {
  -moz-tab-size: 3;
  tab-size: 3;
}

#cnblogs_post_body .tab-size[data-tab-size="4"] {
  -moz-tab-size: 4;
  tab-size: 4;
}

#cnblogs_post_body .tab-size[data-tab-size="5"] {
  -moz-tab-size: 5;
  tab-size: 5;
}

#cnblogs_post_body .tab-size[data-tab-size="6"] {
  -moz-tab-size: 6;
  tab-size: 6;
}

#cnblogs_post_body .tab-size[data-tab-size="7"] {
  -moz-tab-size: 7;
  tab-size: 7;
}

#cnblogs_post_body .tab-size[data-tab-size="8"] {
  -moz-tab-size: 8;
  tab-size: 8;
}

#cnblogs_post_body .tab-size[data-tab-size="9"] {
  -moz-tab-size: 9;
  tab-size: 9;
}

#cnblogs_post_body .tab-size[data-tab-size="10"] {
  -moz-tab-size: 10;
  tab-size: 10;
}

#cnblogs_post_body .tab-size[data-tab-size="11"] {
  -moz-tab-size: 11;
  tab-size: 11;
}

#cnblogs_post_body .tab-size[data-tab-size="12"] {
  -moz-tab-size: 12;
  tab-size: 12;
}

#cnblogs_post_body .task-list-item {
  list-style-type: none;
}

#cnblogs_post_body .task-list-item+.task-list-item {
  margin-top: 3px;
}

#cnblogs_post_body .task-list-item input {
  margin: 0 .2em .25em -1.6em;
  vertical-align: middle;
}

#cnblogs_post_body hr {
  border-bottom-color: #eee;
}

#cnblogs_post_body .pl-0 {
  padding-left: 0!important;
}

#cnblogs_post_body .pl-1 {
  padding-left: 4px!important;
}

#cnblogs_post_body .pl-2 {
  padding-left: 8px!important;
}

#cnblogs_post_body .pl-3 {
  padding-left: 16px!important;
}

#cnblogs_post_body .pl-4 {
  padding-left: 24px!important;
}

#cnblogs_post_body .pl-5 {
  padding-left: 32px!important;
}

#cnblogs_post_body .pl-6 {
  padding-left: 40px!important;
}

#cnblogs_post_body .pl-7 {
  padding-left: 48px!important;
}

#cnblogs_post_body .pl-8 {
  padding-left: 64px!important;
}

#cnblogs_post_body .pl-9 {
  padding-left: 80px!important;
}

#cnblogs_post_body .pl-10 {
  padding-left: 96px!important;
}

#cnblogs_post_body .pl-11 {
  padding-left: 112px!important;
}

#cnblogs_post_body .pl-12 {
  padding-left: 128px!important;
}

#ad_t2 {
    display: none;
}